Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
DL_Algorithm_GDSA< T > Class Template Reference

GDSA algorithm. More...

`#include <gfpcrypt.h>`

Inheritance diagram for DL_Algorithm_GDSA< T >:

List of all members.

## Public Member Functions

void | Sign (const DL_GroupParameters< T > &params, const Integer &x, const Integer &k, const Integer &e, Integer &r, Integer &s) const
bool | Verify (const DL_GroupParameters< T > &params, const DL_PublicKey< T > &publicKey, const Integer &e, const Integer &r, const Integer &s) const
virtual Integer | RecoverPresignature (const DL_GroupParameters< T > &params, const DL_PublicKey< T > &publicKey, const Integer &r, const Integer &s) const
virtual size_t | RLen (const DL_GroupParameters< T > &params) const
virtual size_t | SLen (const DL_GroupParameters< T > &params) const

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

### template<class T>
class DL_Algorithm_GDSA< T >

GDSA algorithm.

Definition at line 152 of file gfpcrypt.h.

The documentation for this class was generated from the following file:

- gfpcrypt.h